=== modified file 'HACKING'
--- HACKING	2007-03-22 01:02:07 +0000
+++ HACKING	2007-04-11 10:46:19 +0000
@@ -589,6 +589,17 @@
 valid characters are generated where possible.
 
 
+Portability Tips
+================
+
+The ``bzrlib.osutils`` module has many useful helper functions, including
+some more portable variants of functions in the standard library.
+
+In particular, don't use ``shutil.rmtree`` unless it's acceptable for it
+to fail on Windows if some files are readonly or still open elsewhere.
+Use ``bzrlib.osutils.rmtree`` instead.
+
+
 Merge/review process
 ====================
 

=== modified file 'Makefile'
--- Makefile	2007-01-30 12:45:50 +0000
+++ Makefile	2007-04-11 08:09:06 +0000
@@ -52,7 +52,10 @@
 
 pretty_files: $(patsubst doc/%.txt, $(PRETTYDIR)/%.htm, $(txt_files))
 
-doc/%.htm: doc/%.txt
+doc/HACKING.htm: HACKING
+	python tools/rst2html.py --link-stylesheet --stylesheet=default.css HACKING doc/HACKING.htm
+
+doc/%.htm: doc/%.txt 
 	python tools/rst2html.py --link-stylesheet --stylesheet=default.css doc/$*.txt doc/$*.htm
 
 $(PRETTYDIR)/%.htm: pretty_docs doc/%.txt
@@ -68,7 +71,7 @@
 		 tools/doc_generate/autodoc_rstx.py
 	python generate_docs.py -o doc/bzr_man.txt rstx
 
-docs: $(htm_files)
+docs: $(htm_files) doc/HACKING.htm
 
 copy-docs: docs
 	python tools/win32/ostools.py copytodir $(htm_files) doc/default.css NEWS README  win32_bzr.exe/doc

